GET/projects/api/v3/reporting.json
List scheduled reports.
Returns the scheduled reports available to the current user with support for pagination, filtering by source, creator, custom report and schedule status, and side-loading of recipients, creators and editors.
Query Params
- Name
searchTerm- Type
- string
- Description
filter by report name
- Name
orderMode- Type
- string
- Description
sort order
- Allowed values
ascdesc
- Name
orderBy- Type
- string
- Description
sort by
- Allowed values
namelastReportnextReportsourceNamecreatedDatelastOccurrencenextOccurrenceuntilformatcreatedBylastUpdatedactive
- Name
sourceId- Type
- integer
- Description
filter by source id
- Name
pageSize- Type
- integer
- Description
number of items in a page
- Default
50
- Name
page- Type
- integer
- Description
page number
- Default
1
- Name
skipCounts- Type
- boolean
- Description
SkipCounts allows you to skip doing counts on a list API endpoint for performance reasons.
- Name
scheduleStatuses- Type
- array[string]
- Description
filter by schedule status
- Format
- Comma separated values
- Allowed values
upcomingpausedexpired
- Name
include- Type
- array[string]
- Description
include
- Format
- Comma separated values
- Allowed values
recipientscreatorseditors
- Name
fields[users]- Type
- array[string]
- Description
- Format
- Comma separated values
- Allowed values
idfirstNamelastNametitleemailcompanyIdcompanyisAdminisClientUserisServiceAccounttypedeletedavatarUrllengthOfDayworkingHoursIdworkingHouruserRateuserCostcanAddProjects
- Name
fields[reports]- Type
- array[string]
- Description
- Format
- Comma separated values
- Allowed values
idnamedescriptioncolorformatsourceIdcreatedByUserIduserSavedFilterIdschedulesoptions
- Name
customReportIds- Type
- array[integer]
- Description
filter by custom report ids
- Format
- Comma separated values
- Name
createdByUserIds- Type
- array[integer]
- Description
filter by creator user ids
- Format
- Comma separated values
Responses
- Code
- 200
- Type
- object
- Schema
- Description
- 200 OK
ResponseReports represents a list of reports response.
- Code
- 400
- Type
- object
- Schema
- Description
- 400 Bad Request
ErrorResponse defines how []Error should be marshaled to JSON.
- Code
- 403
- Type
- object
- Schema
- Description
- 403 Forbidden
ErrorResponse defines how []Error should be marshaled to JSON.
200 OK
ResponseReports
{
"included": {
"users": {
"additionalProp": {
"avatarUrl": "string",
"canAccessPortfolio": true,
"canAddProjects": true,
"canManagePortfolio": true,
"company": {
"id": 0,
"meta": {},
"type": "string"
},
"companyId": 0,
"companyRoleId": 0,
"createdAt": "string",
"createdBy": {
"id": 0,
"meta": {},
"type": "string"
},
"deleted": true,
"email": "string",
"firstName": "string",
"id": 0,
"isAdmin": true,
"isClientUser": true,
"isPlaceholderResource": true,
"isServiceAccount": true,
"jobRoles": [
{
"id": 0,
"meta": {},
"type": "string"
}
],
"lastLogin": "string",
"lastName": "string",
"lengthOfDay": 0,
"meta": {},
"skills": [
{
"id": 0,
"meta": {},
"type": "string"
}
],
"teams": [
{
"id": 0,
"meta": {},
"type": "string"
}
],
"timezone": "string",
"title": "string",
"type": "string",
"updatedAt": "string",
"updatedBy": {
"id": 0,
"meta": {},
"type": "string"
},
"userCost": 0,
"userRate": 0,
"userRates": {
"additionalProp": {
"amount": 0,
"currency": {
"id": 0,
"meta": {},
"type": "string"
}
}
},
"workingHour": {
"id": 0,
"meta": {},
"type": "string"
},
"workingHoursId": 0
}
}
},
"meta": {
"averageSpend": 0,
"data": {},
"limit": 0,
"nextCursor": "string",
"page": {
"count": 0,
"hasMore": true,
"pageOffset": 0,
"pageSize": 0
},
"prevCursor": "string",
"totalCapacity": 0
},
"reports": [
{
"color": "string",
"description": "string",
"format": "string",
"id": 0,
"layoutId": 0,
"name": "string",
"sourceId": 0,
"status": "string",
"userSavedFilterId": 0
}
]
}